import 'package:flutter/cupertino.dart';
import 'package:get/get.dart';

import '../../../common/LogHelper.dart';
import '../../../common/SharedPreferencesUtil.dart';
import '../../../data/model/SysConfig.dart';
import '../../../network/api_service.dart';

class HomeController extends GetxController {
  //TODO: Implement HomeController

  var isLoading = false.obs;
  var sysConfig = SysConfig().obs;
  var errorMsg = ''.obs;

  Future<void> fetchSysConfig() async {
    try {
      isLoading.value = true;
      Map<String, dynamic>? data  = await SharedPreferencesUtil().getObject("sysconfig");
      if(data  != null){
        sysConfig.value = SysConfig.fromJson(data);
        LogHelper().d(sysConfig.value.toJson());
      }
    } catch (e) {
      errorMsg.value = e.toString();
    } finally {
      isLoading.value = false;
    }
  }

  final count = 0.obs;
  @override
  void onInit() {

    super.onInit();
    //fetchSysConfig();
  }

  @override
  void onReady() {
    super.onReady();
  }

  @override
  void onClose() {
    super.onClose();
  }

  void increment() => count.value++;
}
