import '../data/model/SysConfig.dart';
import 'dio_client.dart';

class ApiService {
  static final ApiService _instance = ApiService._internal();
  final DioClient _dioClient = DioClient();

  factory ApiService() => _instance;

  ApiService._internal();


  Future<SysConfig> fetchSysConfig(String path) async {
    try {
      final Map<String, dynamic> data = await _dioClient.get(path);
      return SysConfig.fromJson(data);
    } catch (e) {
      throw Exception('Failed to fetch user: $e');
    }
  }

  Future<Map<String, dynamic>> fetchData(String path, {Map<String, dynamic>? queryParameters}) async {
    return await _dioClient.get(path, queryParameters: queryParameters);
  }

  Future<Map<String, dynamic>> createData(String path, {Map<String, dynamic>? data}) async {
    return await _dioClient.post(path, data: data);
  }

  Future<Map<String, dynamic>> updateData(String path, {Map<String, dynamic>? data}) async {
    return await _dioClient.put(path, data: data);
  }

  Future<void> downloadFile(String urlPath, String savePath) async {
    await _dioClient.download(urlPath, savePath);
  }
}